Subject: bug#21140: 25.0.50; Isearch "char-fold" by default

From: Sebastien Vauban <[email-masked]>
Date: Tue, 28 Jul 2015 11:56:52 +0200

Artur Malabarba <[email-masked]> writes:
> 2015-07-28 10:26 GMT+01:00 Sebastien Vauban <[email-masked]>:
>> Sebastien Vauban <[email-masked]> writes:
>>> Artur Malabarba <[email-masked]> writes:
>>>> Could you check that C-w really is bound to
>>>> `isearch-yank-word-or-char' for you (With no advices or anything)?
>>>
>>> How can I check that?  `C-h k' isn't available from with `C-s', right?
>>
>> I mean: is there a way to check for that easily (like `C-h k') --
>> without having to dissect my Emacs customization file?
>
> `C-h k' is available from `C-s' ;-)

Dunno anymore why I was thinking the opposite. Thanks for correcting me
(and, again, proof that Emacs is very superior!).

So, to answer your question:

  ┌────
  │ C-w runs the command isearch-yank-word-or-char (found in
  │ overriding-terminal-local-map), which is an interactive compiled Lisp function
  │ in ‘isearch.el’.
  │ 
  │ (isearch-yank-word-or-char)
  │ 
  │ Pull next character, subword or word from buffer into search string.
  │ Subword is used when ‘subword-mode’ is activated. 
  └────

Best regards,
  Seb